﻿@page "{dt?}"
@model Tbox.Api.Pages.LogViewerModel
@{
    Layout = null;
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>LogViewer</title>
    <style>
        p {
            font-size: .8em;
        }
    </style>
</head>
<body>
    <div class="container container-page">
        @if (Model?.LogData is not null)
        {
            @await foreach (var line in Model.LogData)
            {
                if (!string.IsNullOrEmpty(line))
                {
                    if (line.Contains("[FTL]") || line.Contains(LogLevel.Critical.ToString()))
                    {
                        <p style="color: red;">@line</p>
                    }
                    else if (line.Contains("[ERR]") || line.Contains(LogLevel.Error.ToString()))
                    {
                        <p style="color: orangered;">@line</p>
                    }
                    else if (line.Contains("[HttpInterceptor]"))
                    {
                        <p style="color: blue;">@line</p>
                    }
                    else
                    {
                        <p>@line</p>
                    }
                }
            }
        }
        @if (!string.IsNullOrEmpty(Model?.Error))
        {
            <p>@Model.Error</p>
        }
    </div>
</body>
</html>